=== scripts/Makefile ===

SUBDIRS = tests
DISTFILES = $(wildcard *.in) Makefile ask-liquidsoap.rb ask-liquidsoap.pl \
	    $(wildcard *.liq) extract-replaygain liquidtts

top_srcdir = ..
include $(top_srcdir)/Makefile.rules
