=== doc/content/Makefile ===
DISTFILES = $(wildcard *.txt) Makefile 

top_srcdir = ../..
include $(top_srcdir)/Makefile.rules
