=== src/io/Makefile ===
DISTFILES = $(wildcard *.ml) $(wildcard *.mli) $(wildcard *.c) Makefile

top_srcdir=../..
include $(top_srcdir)/Makefile.rules
