=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = Makefile lang_parser.mly lang_lexer.mll \
			$(wildcard *.ml) $(wildcard *.mli)
top_srcdir=../..
include $(top_srcdir)/Makefile.rules

menhir:
	@rm -f lang_parser.conflicts
	menhir --explain lang_parser.mly
	@cat lang_parser.conflicts

.PHONY: menhir
