=== src/outputs/Makefile ===

DISTFILES = $(wildcard *.ml) $(wildcard *.camlp4) $(wildcard *.mli) Makefile

top_srcdir= ../..
include $(top_srcdir)/Makefile.rules
