=== debian/changelog ===
liquidsoap (1.1.1-7.2ubuntu1) artful; urgency=medium

  * Import upstream patch to fix compat with 4.04.
  * Fixup documentation build

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 11 Jul 2017 11:27:06 +0000

liquidsoap (1.1.1-7.2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 14:39:06 +0100

liquidsoap (1.1.1-7.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * Drop support for libschroedinger. (Closes: #845363)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 29 Nov 2016 22:37:34 +0100

liquidsoap (1.1.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend and Recommend fonts-liberation instead of the transitive
    ttf-liberation.
  * Add patch from upstream to fix FTBFS.  Closes: #802055
  * Run wrap-and-sort.
  * Build using dh-python2 instead of python-support.  Closes: #786026
  * Remove /usr/share/liquidsoap on purge if it's empty.  Closes: #668751

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 10 Jan 2016 13:11:54 +0000

liquidsoap (1.1.1-7) unstable; urgency=medium

  * Patch shine encoder to adapt to new ABI. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2014 20:07:58 -0500

liquidsoap (1.1.1-6) unstable; urgency=low

  * Bring back SDL plugin. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 11 Jun 2013 18:17:55 -0500

liquidsoap (1.1.1-5) unstable; urgency=low

  * Switch GD build-dep to libgd-ocaml-dev. 
  * Provide alternative build-dep on libgd-gd2-ocaml-dev.
  * Bump build-dep on camlimages.
  * Drop optional SDL plugin until SDL and gd become compatible
    again (conflicts on libtiff{4,5}-dev).

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 15 May 2013 07:06:38 -0500

liquidsoap (1.1.1-4) unstable; urgency=low

  * Added patch to enable dynamically loaded
    fdkaac encoder.
  * Dropped liquidsoap-plugin-fdkaac. 
  Closes: #708602

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 17:19:49 -0500

liquidsoap (1.1.1-3) unstable; urgency=low

  * Added liquidsoap emacs mode package. 
  * Merge changes from NMU 1.0.1+repack1-1.1
  * Added liquidsoap-plugin-fdkaac

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 14 May 2013 00:35:34 -0500

liquidsoap (1.1.1-2) unstable; urgency=low

  * Set inotify build-dep to linux-only. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 27 Mar 2013 13:37:29 -0500

liquidsoap (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:48:12 -0500

liquidsoap (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Enabled new plugins:
    - shine
    - frei0r
    - opus
  * Bumped standards version to 3.9.4 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 20 Apr 2013 11:37:55 -0500

liquidsoap (1.0.1+repack1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "missing versioned depend on libcamomile-ocaml-data":
    make (build) dependency on libcamomile-ocaml-{dev,data} versioned
    [(>= 0.8)]. Thanks, Paul van Tilburg.
    (Closes: #685632)

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Oct 2012 19:21:43 +0200
