=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Romain Beauxis <toots@rastageeks.org>,
 Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-autoreconf,
 dh-ocaml (>= 1.0.1),
 dh-python,
 festival,
 fonts-liberation,
 libalsa-ocaml-dev (>= 0.2.1) [linux-any],
 libao-ocaml-dev (>= 0.2.0),
 libbjack-ocaml-dev (>= 0.1.4),
 libcamlimages-ocaml-dev (>= 4.0.1-6),
 libcamomile-ocaml-dev (>= 0.8),
 libcry-ocaml-dev (>= 0.2.2),
 libdssi-ocaml-dev (>= 0.1.1),
 libdtools-ocaml-dev (>= 0.3.1),
 libduppy-ocaml-dev (>= 0.5.1),
 libfaad-ocaml-dev (>= 0.3.2),
 libflac-ocaml-dev (>= 0.1.1-3),
 libfrei0r-ocaml-dev,
 libgavl-ocaml-dev (>= 0.1.5),
 libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
 libgstreamer-ocaml-dev (>= 0.2.0),
 libinotify-ocaml-dev [linux-any],
 libladspa-ocaml-dev (>= 0.1.4),
 liblastfm-ocaml-dev (>= 0.3.0),
 liblo-ocaml-dev,
 libmad-ocaml-dev (>= 0.4.3),
 libmagic-ocaml-dev (>= 0.3.6),
 libmm-ocaml-dev (>= 0.2.1),
 libmp3lame-ocaml-dev (>= 0.3.2),
 libogg-ocaml-dev (>= 0.4.5),
 libopus-ocaml-dev,
 libpcre-ocaml-dev,
 libportaudio-ocaml-dev (>= 0.2.0),
 libpulse-ocaml-dev (>= 0.1.2),
 libsamplerate-ocaml-dev (>= 0.1.2),
 libsdl-ocaml-dev,
 libshine-ocaml-dev,
 libsoundtouch-ocaml-dev (>= 0.1.7),
 libspeex-ocaml-dev (>= 0.2.0-3),
 libtaglib-ocaml-dev (>= 0.3.1),
 libtheora-ocaml-dev (>= 0.3.0-3),
 libvoaacenc-ocaml-dev,
 libvorbis-ocaml-dev (>= 0.6.1-3),
 libxml-dom-perl,
 libxmlplaylist-ocaml-dev (>= 0.1.3),
 libyojson-ocaml-dev,
 ocaml-findlib,
 ocaml-nox,
 python,
 python-gtk2-dev,
 sox
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 adduser,
 libcamomile-ocaml-data (>= 0.8),
 sox,
 wget,
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Recommends:
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 logrotate,
 mp3gain,
 vorbis-tools,
 vorbisgain
Suggests:
 festival,
 icecast2,
 liguidsoap,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-xmlplaylist,
 mplayer
Provides:
 ${ocaml:Provides}
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liquidsoap-plugin-all
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-alsa [linux-any],
 liquidsoap-plugin-ao,
 liquidsoap-plugin-camlimages,
 liquidsoap-plugin-dssi,
 liquidsoap-plugin-faad,
 liquidsoap-plugin-flac,
 liquidsoap-plugin-frei0r,
 liquidsoap-plugin-gavl,
 liquidsoap-plugin-gd,
 liquidsoap-plugin-graphics,
 liquidsoap-plugin-gstreamer,
 liquidsoap-plugin-icecast,
 liquidsoap-plugin-jack,
 liquidsoap-plugin-ladspa,
 liquidsoap-plugin-lame,
 liquidsoap-plugin-lastfm,
 liquidsoap-plugin-lo,
 liquidsoap-plugin-mad,
 liquidsoap-plugin-ogg,
 liquidsoap-plugin-opus,
 liquidsoap-plugin-oss,
 liquidsoap-plugin-portaudio,
 liquidsoap-plugin-pulseaudio,
 liquidsoap-plugin-samplerate,
 liquidsoap-plugin-sdl,
 liquidsoap-plugin-shine,
 liquidsoap-plugin-soundtouch,
 liquidsoap-plugin-speex,
 liquidsoap-plugin-taglib,
 liquidsoap-plugin-theora,
 liquidsoap-plugin-voaacenc,
 liquidsoap-plugin-vorbis,
 liquidsoap-plugin-xmlplaylist,
 ${misc:Depends}
Description: audio streaming language -- all plugins
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This meta-package installs all available plugins for Liquidsoap.

Package: liquidsoap-plugin-alsa
Architecture: linux-any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- ALSA plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides ALSA support for liquidsoap.

Package: liquidsoap-plugin-ao
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- AO plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides AO support for liquidsoap.

Package: liquidsoap-plugin-camlimages
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Camlimages plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding various format of images
 in Liquidsoap using camlimages.

Package: liquidsoap-plugin-dssi
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ladspa (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- DSSI plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides DSSI plugins support for liquidsoap.

Package: liquidsoap-plugin-faad
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- FAAD plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding AAC and M4A files in liquidsoap.

Package: liquidsoap-plugin-flac
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 liquidsoap-plugin-ogg (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- FLAC plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for decoding and encoding native
 and ogg-encapsulated FLAC data in liquidsoap.

Package: liquidsoap-plugin-gavl
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Gavl plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for gavl video manipulation in Liquidsoap.

Package: liquidsoap-plugin-gd
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Recommends:
 fonts-liberation
Description: audio streaming language -- libgd plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for operators using libgd. Currently,
 the only operator provided is input.video.add_text.gd. This operators
 provides video text rendering without any X-related dependency.

Package: liquidsoap-plugin-graphics
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Graphics plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for Video visualisation operators using
 OCaml graphics module in Liquidsoap.

Package: liquidsoap-plugin-gstreamer
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- GStreamer plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for operators using GStreamer.

Package: liquidsoap-plugin-frei0r
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Frei0r plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 This package provides support for frei0r plugins in Liquidsoap.

Package: liquidsoap-plugin-icecast
Architecture: any
Depends:
 liquidsoap (= ${binary:Version}),
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: audio streaming language -- Icecast plugin
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
